%define name    lpsolve
%define version 5.5.0.12
%define release %mkrel 2
%define libname %mklibname %{name} 

# Turn off debuginfo package
%define _enable_debug_packages  %{nil}
%define debug_package %{nil}

Name:          %{name}
Version:       %{version}
Release:       %{release}
Summary:   A Mixed Integer Linear Programming (MILP) solver
Source:    http://downloads.sourceforge.net/lpsolve/lp_solve_%{version}_source.tar.gz
Group:     System Environment/Libraries
URL:       http://sourceforge.net/projects/lpsolve
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
License:   LGPLv2+
Patch0:    lpsolve-5.5.0.11.cflags.patch
Requires: %{libname} = %{version}-%{release}

%description
Mixed Integer Linear Programming (MILP) solver lpsolve solves pure linear,
(mixed) integer/binary, semi-continuous and special ordered sets (SOS) models.

%package -n %{libname}
Summary:        Shared libraries for lpsolve
Group:          System/Libraries

%description -n %{libname}
Shared libraries for lpsolve.

%package devel
Requires: lpsolve = %{version}-%{release}
Summary: Files for developing with lpsolve
Group: Development/Libraries

%description devel
Includes and definitions for developing with lpsolve 

%prep
%setup -q -n lp_solve_5.5
%patch0 -p1 -b .cflags.patch

%build
cd lpsolve55
sh -x ccc
rm liblpsolve55.a
cd ../lp_solve
sh -x ccc

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT%{_libdir} $RPM_BUILD_ROOT%{_includedir}/lpsolve
install -m 755 \
        lp_solve/lp_solve $RPM_BUILD_ROOT%{_bindir}
install -m 755 \
        lpsolve55/liblpsolve55.so $RPM_BUILD_ROOT%{_libdir}
install -m 644 \
        lp*.h $RPM_BUILD_ROOT%{_includedir}/lpsolve

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc README.txt ./bfp/bfp_LUSOL/LUSOL/LUSOL_LGPL.txt ./bfp/bfp_LUSOL/LUSOL/LUSOL_README.txt ./bfp/bfp_LUSOL/LUSOL/LUSOL-overview.txt
%{_bindir}/lp_solve

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so

%files devel
%defattr(-,root,root,-)
%{_includedir}/lpsolve

%changelog
* Tue Jul 22 2008 Matthew Dawkins mdawkins arroba osource punto org 5.5.0.12-2
- split lib and bin packages

* Tue Jul 15 2008 Matthew Dawkins mdawkins arroba osource punto org 5.5.0.12-1
- adapted to pclos for OOo

* Fri Mar 14 2008 Caolan McNamara <caolanm@redhat.com> - 5.5.0.12-1
- latest version

* Wed Feb 20 2008 Caolan McNamara <caolanm@redhat.com> - 5.5.0.11-1
- initial version
